moeoIBEA(3)

NAME
moeoIBEA - IBEA (Indicator-Based Evolutionary Algorithm) as described in: E.

SYNOPSIS

#include <moeoIBEA.h>

Inherits moeoEA< MOEOT >< MOEOT >.

  Public Types
typedef MOEOT::ObjectiveVector ObjectiveVector
The type of objective vector.

  Public Member Functions
moeoIBEA (unsigned int _maxGen, eoEvalFunc< MOEOT > &_eval, eoGenOp< MOEOT > &_op, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > &_metric, const double _kappa=0.05)
Simple ctor with a eoGenOp.
moeoIBEA (unsigned int _maxGen, eoEvalFunc< MOEOT > &_eval, eoTransform< MOEOT > &_op, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > &_metric, const double _kappa=0.05)
Simple ctor with a eoTransform.
moeoIBEA (unsigned int _maxGen, eoEvalFunc< MOEOT > &_eval, eoQuadOp< MOEOT > &_crossover, double _pCross, eoMonOp< MOEOT > &_mutation, double _pMut, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > &_metric, const double _kappa=0.05)
Ctor with a crossover, a mutation and their corresponding rates.
moeoIBEA (eoContinue< MOEOT > &_continuator, eoEvalFunc< MOEOT > &_eval, eoGenOp< MOEOT > &_op, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > &_metric, const double _kappa=0.05)
Ctor with a continuator (instead of _maxGen) and a eoGenOp.
moeoIBEA (eoContinue< MOEOT > &_continuator, eoEvalFunc< MOEOT > &_eval, eoTransform< MOEOT > &_op, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > &_metric, const double _kappa=0.05)
Ctor with a continuator (instead of _maxGen) and a eoTransform.
virtual void operator() (eoPop< MOEOT > &_pop)
Apply a few generation of evolution to the population _pop until the stopping criteria is verified.

  Protected Attributes
eoGenContinue< MOEOT > defaultGenContinuator
a continuator based on the number of generations (used as default)
eoContinue< MOEOT > & continuator
stopping criteria
eoPopLoopEval< MOEOT > popEval
evaluation function used to evaluate the whole population
moeoDetTournamentSelect< MOEOT > select
binary tournament selection
moeoIndicatorBasedFitnessAssignment< MOEOT > fitnessAssignment
fitness assignment used in IBEA
moeoDummyDiversityAssignment< MOEOT > dummyDiversityAssignment
dummy diversity assignment
moeoEnvironmentalReplacement< MOEOT > replace
elitist replacement
eoSGAGenOp< MOEOT > defaultSGAGenOp
an object for genetic operators (used as default)
eoGeneralBreeder< MOEOT > genBreed
general breeder
eoBreed< MOEOT > & breed
breeder

Detailed Description

  template<class MOEOT> class moeoIBEA< MOEOT >
IBEA (Indicator-Based Evolutionary Algorithm) as described in: E. Zitzler, S. Künzli, 'Indicator-Based Selection in Multiobjective Search', Proc. 8th International Conference on Parallel Problem Solving from Nature (PPSN VIII), pp. 832-842, Birmingham, UK (2004). This class builds the IBEA algorithm only by using the fine-grained components of the ParadisEO-MOEO framework.

Definition at line 38 of file moeoIBEA.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoIBEA< MOEOT >::moeoIBEA (unsigned int _maxGen, eoEvalFunc< MOEOT > & _eval, eoGenOp< MOEOT > & _op, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > & _metric, const double _kappa = 0.05) [inline]

Simple ctor with a eoGenOp.

Parameters:
    _maxGen number of generations before stopping
    _eval evaluation function
    _op variation operator
    _metric metric
    _kappa scaling factor kappa

Definition at line 54 of file moeoIBEA.h.

  template<class MOEOT> moeoIBEA< MOEOT >::moeoIBEA (unsigned int _maxGen, eoEvalFunc< MOEOT > & _eval, eoTransform< MOEOT > & _op, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > & _metric, const double _kappa = 0.05) [inline]

Simple ctor with a eoTransform.

Parameters:
    _maxGen number of generations before stopping
    _eval evaluation function
    _op variation operator
    _metric metric
    _kappa scaling factor kappa

Definition at line 68 of file moeoIBEA.h.

  template<class MOEOT> moeoIBEA< MOEOT >::moeoIBEA (unsigned int _maxGen, eoEvalFunc< MOEOT > & _eval, eoQuadOp< MOEOT > & _crossover, double _pCross, eoMonOp< MOEOT > & _mutation, double _pMut, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > & _metric, const double _kappa = 0.05) [inline]

Ctor with a crossover, a mutation and their corresponding rates.

Parameters:
    _maxGen number of generations before stopping
    _eval evaluation function
    _crossover crossover
    _pCross crossover probability
    _mutation mutation
    _pMut mutation probability
    _metric metric
    _kappa scaling factor kappa

Definition at line 85 of file moeoIBEA.h.

  template<class MOEOT> moeoIBEA< MOEOT >::moeoIBEA (eoContinue< MOEOT > & _continuator, eoEvalFunc< MOEOT > & _eval, eoGenOp< MOEOT > & _op, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > & _metric, const double _kappa = 0.05) [inline]

Ctor with a continuator (instead of _maxGen) and a eoGenOp.

Parameters:
    _continuator stopping criteria
    _eval evaluation function
    _op variation operator
    _metric metric
    _kappa scaling factor kappa

Definition at line 100 of file moeoIBEA.h.

  template<class MOEOT> moeoIBEA< MOEOT >::moeoIBEA (eoContinue< MOEOT > & _continuator, eoEvalFunc< MOEOT > & _eval, eoTransform< MOEOT > & _op, moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > & _metric, const double _kappa = 0.05) [inline]

Ctor with a continuator (instead of _maxGen) and a eoTransform.

Parameters:
    _continuator stopping criteria
    _eval evaluation function
    _op variation operator
    _metric metric
    _kappa scaling factor kappa

Definition at line 114 of file moeoIBEA.h.

Member Function Documentation

  template<class MOEOT> virtual void moeoIBEA< MOEOT >::operator() (eoPop< MOEOT > & _pop) [inline, virtual]

Apply a few generation of evolution to the population _pop until the stopping criteria is verified.

Parameters:
    _pop the population

Definition at line 124 of file moeoIBEA.h.

References moeoIBEA< MOEOT >::breed, moeoIBEA< MOEOT >::continuator, moeoIBEA< MOEOT >::dummyDiversityAssignment, moeoIBEA< MOEOT >::fitnessAssignment, moeoIBEA< MOEOT >::popEval, and moeoIBEA< MOEOT >::replace.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.